# XQillaPlatformUtils Class Reference

Static utility methods for initializing and terminating the XQilla and Xerces environments. More...

`#include <XQillaPlatformUtils.hpp>`

List of all members.

## Static Public Member Functions

static void | initialize (xercesc::MemoryManager *memMgr=0)
| Perform XQilla initialization.
static void | terminate ()
| Perform XQilla termination.
static void | enableExtendedPrecision (bool bEnable)
| Enable/disable extended precision in numeric items.

## Detailed Description

Static utility methods for initializing and terminating the XQilla and Xerces environments.

## Member Function Documentation

static void XQillaPlatformUtils::enableExtendedPrecision | ( | bool | bEnable | ) | `[static]`

| Enable/disable extended precision in numeric items. When disabled, xs:decimal values will hold only 18 digits, xs:float 7 digits and xs:double 15 digits as mandated

static void XQillaPlatformUtils::initialize | ( | xercesc::MemoryManager * | memMgr = `0` | ) | `[static]`

| Perform XQilla initialization. Initialization should be called first in any user code. Initializes Xerces and adds its own DOMImplementation to the registry

static void XQillaPlatformUtils::terminate | ( |  | ) | `[static]`

| Perform XQilla termination. Terminates Xerces

The documentation for this class was generated from the following file:

- XQillaPlatformUtils.hpp